GET api/contractapi/contractsbysitecustomer/{siteCustomerId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteCustomerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Response Formats
application/json, text/json
Sample:
[
{
"selected_nameplate_id": "f72b3dc1-56a3-4f25-be79-e75f87a26c5a",
"selected_sticker_id": "c5e0b5f8-1a74-4e3b-a520-ebb1c00f0408",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "5bb0c1b3-9533-46e7-87d4-e18034ce42ab",
"site_id": "72e6c5f5-8981-4192-8b6b-fc59b135f827"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "5bb0c1b3-9533-46e7-87d4-e18034ce42ab",
"site_id": "72e6c5f5-8981-4192-8b6b-fc59b135f827"
}
],
"active": true,
"certificate_type_id": "59103a64-2a73-4296-b04e-345de621e439",
"code": 1,
"delay_between_scans": 1,
"id": "a7fd4314-db89-4518-82fb-cf40bd977148",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "6f7b200c-ce3e-493c-b5a0-4c0b0dcb7315",
"packing_type_id": "049b1b2c-e13d-4ece-9e3c-0497e350983c",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "5e99cbdc-d7ff-4d12-ae29-371df9a07b39",
"remark": "sample string 14",
"site_customer_id": "c570df6d-45df-4f0c-86ec-e502826df95b",
"sorting_type_id": "8bfa4e8c-9002-4f15-a599-00cbb5d4290e",
"type": "sample string 17"
},
{
"selected_nameplate_id": "f72b3dc1-56a3-4f25-be79-e75f87a26c5a",
"selected_sticker_id": "c5e0b5f8-1a74-4e3b-a520-ebb1c00f0408",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "5bb0c1b3-9533-46e7-87d4-e18034ce42ab",
"site_id": "72e6c5f5-8981-4192-8b6b-fc59b135f827"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "5bb0c1b3-9533-46e7-87d4-e18034ce42ab",
"site_id": "72e6c5f5-8981-4192-8b6b-fc59b135f827"
}
],
"active": true,
"certificate_type_id": "59103a64-2a73-4296-b04e-345de621e439",
"code": 1,
"delay_between_scans": 1,
"id": "a7fd4314-db89-4518-82fb-cf40bd977148",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "6f7b200c-ce3e-493c-b5a0-4c0b0dcb7315",
"packing_type_id": "049b1b2c-e13d-4ece-9e3c-0497e350983c",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "5e99cbdc-d7ff-4d12-ae29-371df9a07b39",
"remark": "sample string 14",
"site_customer_id": "c570df6d-45df-4f0c-86ec-e502826df95b",
"sorting_type_id": "8bfa4e8c-9002-4f15-a599-00cbb5d4290e",
"type": "sample string 17"
}
]
application/xml, text/xml
Sample:
<ArrayOfcontract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<contract>
<active>true</active>
<certificate_type_id>59103a64-2a73-4296-b04e-345de621e439</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>a7fd4314-db89-4518-82fb-cf40bd977148</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>6f7b200c-ce3e-493c-b5a0-4c0b0dcb7315</packaging_type_id>
<packing_type_id>049b1b2c-e13d-4ece-9e3c-0497e350983c</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>5e99cbdc-d7ff-4d12-ae29-371df9a07b39</pool_id>
<remark>sample string 14</remark>
<site_customer_id>c570df6d-45df-4f0c-86ec-e502826df95b</site_customer_id>
<sorting_type_id>8bfa4e8c-9002-4f15-a599-00cbb5d4290e</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>f72b3dc1-56a3-4f25-be79-e75f87a26c5a</selected_nameplate_id>
<selected_sticker_id>c5e0b5f8-1a74-4e3b-a520-ebb1c00f0408</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>5bb0c1b3-9533-46e7-87d4-e18034ce42ab</id>
<site_id>72e6c5f5-8981-4192-8b6b-fc59b135f827</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>5bb0c1b3-9533-46e7-87d4-e18034ce42ab</id>
<site_id>72e6c5f5-8981-4192-8b6b-fc59b135f827</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
<contract>
<active>true</active>
<certificate_type_id>59103a64-2a73-4296-b04e-345de621e439</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>a7fd4314-db89-4518-82fb-cf40bd977148</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>6f7b200c-ce3e-493c-b5a0-4c0b0dcb7315</packaging_type_id>
<packing_type_id>049b1b2c-e13d-4ece-9e3c-0497e350983c</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>5e99cbdc-d7ff-4d12-ae29-371df9a07b39</pool_id>
<remark>sample string 14</remark>
<site_customer_id>c570df6d-45df-4f0c-86ec-e502826df95b</site_customer_id>
<sorting_type_id>8bfa4e8c-9002-4f15-a599-00cbb5d4290e</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>f72b3dc1-56a3-4f25-be79-e75f87a26c5a</selected_nameplate_id>
<selected_sticker_id>c5e0b5f8-1a74-4e3b-a520-ebb1c00f0408</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>5bb0c1b3-9533-46e7-87d4-e18034ce42ab</id>
<site_id>72e6c5f5-8981-4192-8b6b-fc59b135f827</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>5bb0c1b3-9533-46e7-87d4-e18034ce42ab</id>
<site_id>72e6c5f5-8981-4192-8b6b-fc59b135f827</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
</ArrayOfcontract>